https://src.fedoraproject.org/rpms/gmic/raw/rawhide/f/gmic-openexr3.patch
--- a/cmake/FindCImg.cmake
+++ b/cmake/FindCImg.cmake
@@ -147,7 +147,10 @@ if(ENABLE_JPEG)
 endif()
 
 if(ENABLE_OPENEXR)
-  find_package(OpenEXR)
+  find_package(OpenEXR CONFIG)
+  if(NOT TARGET OpenEXR::OpenEXR)
+    find_package(OpenEXR)
+  endif()
 
   if(OpenEXR_FOUND)
     list(APPEND CLI_COMPILE_FLAGS "cimg_use_openexr")
--- a/src/Makefile
+++ b/src/Makefile
@@ -307,8 +307,8 @@
 
 # Enable native support of EXR image files, using the OpenEXR library.
 # (http://www.openexr.com/)
-OPENEXR_CFLAGS = -Dcimg_use_openexr $(shell pkg-config --cflags OpenEXR || echo -I$(USR)/$(INCLUDE)/OpenEXR)
-OPENEXR_LIBS = $(shell pkg-config --libs OpenEXR || echo -lIlmImf -lHalf)
+OPENEXR_CFLAGS = -Dcimg_use_openexr $(shell pkg-config --cflags OpenEXR || echo -I$(USR)/$(INCLUDE)/OpenEXR -I$(USR)/$(INCLUDE)/Imath)
+OPENEXR_LIBS = $(shell pkg-config --libs OpenEXR || echo -lOpenEXR -lImath)
 
 # Enable Fast Fourier Transforms, using the FFTW3 library.
 # (http://www.fftw.org/)
